---
layout: handbook-page-toc
title: "Customer NPS/CSAT surveys"
description: "A deep dive into the NPS/CSAT scores, how they are defined and calculated."
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

For an overview of how CSMs use Customer360 (or C360), please refer to the [Gainsight CSM C360 Overview Page](/handbook/customer-success/tam/gainsight/c360-overview)

## Customer NPS/CSAT surveys

The purpose of these surveys are to measure customer loyalty, satisfaction, and enthusiasm with GitLab. The onboarding NPS/CSAT serves as an early warning system for the customer beyond what CSM sentiment or product usage data can tell us. It is another attribute that can point to risk early in an account, enabling faster time to resolution. The renewal NPS/CSAT serves as an additional attribute into our knowledge of the health of the renewal and enables an additional lens of focus for prioritization.

In order for our customers to receive the surveys,  a [`GitLab admin` role needs to be assigned](https://about.gitlab.com/handbook/sales/field-operations/customer-success-operations/cs-ops-programs/#gitlab-admin-contacts) in Gainsight to the appropriate contacts.  It is the CSM’s role to complete the role assignment, and this process has been added as a task in the customer onboarding playbook, and again in the customer renewal playbook. 

##### What is NPS?
- Net Promoter Score - From 1-10
- It is always one question - "How likely are you to recommend (company) to a friend or colleague?"
- A Promoter responds with a score of 9 or 10 and can signify a loyal and enthusiastic customer.
- A Passive responds with 7 or 8. They are satisfied, but not happy enough to be a promoter. It is a great target area for improving and learning from these customers.
- A Detractor responds anywhere from 0 to 6, are unlikely to buy again, and may also discourage others from buying
- It is an attribute that can give another view into how a portion of the customer lifecycle has gone, or may go, such as onboarding (early enablement) and preparation to renew. 
- The rolled up score can give insight into trends - such as onboarding/enablement being bumpy. 
- In companies that have more complex/longer onboarding processes, the NPS typically starts lower and rises as the customer begins to feel more return on investment later in the lifecycle.  

##### What is NPS not?
- A determination of the health of a customer.  It is simply another attribute.

##### What is CSAT?
- There are customer satisfaction questions, that often accompany the NPS question to get a deeper understanding of the customer sentiment at that point in the lifecycle.

##### What CSAT / NPS questions are we asking?
- Post-Onboarding - 
   - Considering your experience with us so far, how likely are you to recommend GitLab to a friend or colleague?
   - Overall, how satisfied are you with your onboarding experience?
   - How can we improve your readiness to adopt the product?
- Pre-Renewal - 
   - How likely are you to recommend GitLab to a friend or colleague?
   - How satisfied are you with GitLab? 

##### What will we do with the scores?
- In addition to writing the score to a scorecard in the customer 360, we will also trigger CTA’s to action based on the feedback.
- Negative NPS Scores (0-6 OR Very Dissatisfied, Dissatisfied, Neutral) will create a CTA for the CSM Manager to follow-up with the contact.
- Positive NPS Scores (7-10 OR Satisfied, Very Satisfied) will create a CTA for the CSM to follow-up with the contact.
- All scores will be posted to #cs_programs_nps_results channel in Slack!

##### Who will receive the survey and when?
- We will send the NPS/CSAT survey at the 60 day mark for new customers (not those longer-standing that recently got a CSM) and again at 120 days before renewal.


